Bug 803078 - (CVE-2012-1173) CVE-2012-1173 libtiff: Heap-buffer overflow due to TileSize calculation when parsing tiff files
CVE-2012-1173 libtiff: Heap-buffer overflow due to TileSize calculation when ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20120404,repo...
: Security
Depends On: 808551 808552 808553 808554 810116 810118 836127
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 17:35 EDT by Vincent Danen
Modified: 2016-03-04 06:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-10 13:51:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-03-13 17:35:29 EDT
A flaw was found in the way that LibTIFF attempted to allocate space for a tile within a TIFF image file.  When calculating the size for a buffer, LibTIFF performs a multiply that can cause an integer overflow.  After allocation, LibTIFF will initialize the buffer with the tile data, which can cause code execution under the context of the application using LibTIFF, and with the calling user's permissions.

http://bugzilla.maptools.org/show_bug.cgi?id=2369
Comment 2 Huzaifa S. Sidhpurwala 2012-03-14 05:22:50 EDT
http://bugzilla.maptools.org/show_bug.cgi?id=2369

Note: Segfault seen on 32 bit only.

RHEL6 - x86_65
==============
[root@dhcp201-201 ~]# tifftopnm poc.tif 
poc.tif: Integer overflow in TIFFVTileSize.
TIFFReadDirectory: poc.tif: cannot handle zero tile size.
tifftopnm: error opening TIFF file poc.tif

[root@dhcp201-201 ~]# arch
x86_64

RHEL6 - x86
===========
[root@rhel6-server-x32 ~]# tifftopnm poc.tif 
tifftopnm: writing PPM file
P6
800 607
255
Segmentation fault

[root@rhel6-server-x32 ~]# arch
i686
Comment 15 Vincent Danen 2012-03-30 13:46:02 EDT
This is to be embargoed until April 4th at 1pm PST.
Comment 16 Huzaifa S. Sidhpurwala 2012-04-05 04:17:14 EDT
Created libtiff tracking bugs for this issue

Affects: fedora-all [bug 810116]
Comment 17 Huzaifa S. Sidhpurwala 2012-04-05 04:17:18 EDT
Created mingw32-libtiff tracking bugs for this issue

Affects: fedora-all [bug 810118]
Comment 23 errata-xmlrpc 2012-04-10 16:10:35 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0468 https://rhn.redhat.com/errata/RHSA-2012-0468.html
Comment 24 Fedora Update System 2012-04-11 22:24:17 EDT
libtiff-3.9.5-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2012-04-18 15:27:34 EDT
libtiff-3.9.5-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2012-04-21 23:26:55 EDT
libtiff-3.9.5-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.